APP_ENV=dev
APP_NAME=ninegate
APP_SECRET=changeme
MESSENGER_TRANSPORT_DSN=doctrine://default?auto_setup=0
PROTOCOLE=http

DATABASE_NAME=ninegate
DATABASE_USER=ninegate
DATABASE_PASSWORD=changeme
DATABASE_HOST=%%nineboard_dbserver

# Determine qui est le maitre de l'identitité =  SQL / LDAP / SSO
# Si SQL cela veut dire que c'est l'applicatif qui gère les utilisateurs
# Sinon la source est externe soit via un annuaire soit via des attributs venant d'un SSO
# Si la source est externe de fait pas de module d'inscription ni de reset de password
# Et pas de synchronisation vers un annuaire
MASTERIDENTITY=SQL

# Mode d'authentification soit SQL / LDAP / CAS
# Attention si le masteridentity est différent de SQL le mode d'authentification est forcement différent de SQL
# Car aucune synchronisation des password n'est possible
MODE_AUTH=SQL

# Mode de registration : none / byuser / byadmin
# none = désactivation de l'inscription mais reset de password possible
# byuser = aucune validation par un administrateur, l'utilisateur valide son inscription par lui-même
# byadmin = validation de l'inscription par un administrateur, sauf si domaine de messagerie dans la liste blanche
MODEREGISTRATION=byadmin
KEYTERM=12                      # Durée de validité du jeton d'inscription
MINPASSWORD=8                   # Taille mini du password
INITPWDADMIN=changeme           # Mot de passe par défaut du compte admin

# Force theme
FORCE_THEME=0
FORCE_THEMENAME=

# Activation module
CRON_ACTIVATE=1
SYNCENVOLE_ACTIVATE=0
WEBSOCKET_ACTIVATE=1
PORTAL_ACTIVATE=1
MODULE_ACTIVATE=0               # Si activé on peut choisir les modules ci-dessous à activer ou non
PAGE_ACTIVATE=0
ITEM_ACTIVATE=0
ALERT_ACTIVATE=0
CALENDAR_ACTIVATE=0
BLOG_ACTIVATE=0
PROJECT_ACTIVATE=0
FLUX_ACTIVATE=0
NOTICE_ACTIVATE=0

# Information de base de l'annuaire
LDAP_TYPE=LDAP                  # LDAP ou AD
LDAP_HOST=ldap://127.0.0.1
LDAP_PORT=389
LDAP_TLS=0
LDAP_USER="cn=admin,o=gouv,c=fr"
LDAP_PASSWORD=changeme
LDAP_BASEDN="o=gouv,c=fr"
LDAP_ADDOMAINEHOME=
LDAP_ADDOMAINEPROFIL=

# Mise en page
WEBURL=domaine.fr
ALIAS=ninegate
LIBELLE_ETAB=ldapbundle
NUMERO_ETAB=0000000A
COLORMAIN=2c3e50                # Couleur principale
FONTCOLORHOVER=FFFFFF           # Couleur des polices sur fond de couleur principale
LABELNIVEAU01=Niveau01          # Label singulier du niveau 01 d'organisation
LABELSNIVEAU01=Niveau01s        # Label pluriel du niveau 01 d'organisation
ICONNIVEAU01=fa-building        # Icon du niveau 01 d'organisation
LABELSIRENNIVEAU01=SIREN        # Label SIREN
VIEWNIVEAU02=1                  # Gérer un niveau 02 d'organisation
LABELNIVEAU02=Niveau02          # Label singulier du niveau 02 d'organisation
LABELSNIVEAU02=Niveau02s        # Label pluriel du niveau 02 d'organisation
ICONNIVEAU02=fa-sitemap         # Icon du niveau 02 d'organisation
LABELSIRETNIVEAU02=SIRET        # Label SIRET

# Si masteridentity est à SQL = où sont synchronisées les datas dans l'annuaire
LDAP_SYNC=0

LDAP_BASEUSER="ou=users,ou=ninegate,o=gouv,c=fr"
LDAP_BASENIVEAU01="ou=niveau01,ou=ninegate,o=gouv,c=fr"
LDAP_BASENIVEAU02="ou=niveau02,ou=ninegate,o=gouv,c=fr"
LDAP_BASEGROUP="ou=groups,ou=ninegate,o=gouv,c=fr"

# Si masteridentity est à LDAP = quel est le modele d'organisation
# Si open   = rien de particulier
# Si scribe = on génére des groupes correspondant au profil / classe / niveau / option
LDAP_TEMPLATE=open

# Si masteridentity est à LDAP = quel champs sont à récupérer = faudrait templetiser dans genconfig
LDAP_USERNAME=uid
LDAP_FIRSTNAME=givenname
LDAP_LASTNAME=sn
LDAP_EMAIL=mail
LDAP_MEMBER=memberUid
LDAP_USERSADMIN='["admin"]'

# Template scribe
SCRIBE_GROUP=0
SCRIBE_MASTER=0

# Template openldap
OPENLDAPREQNIVEAU01=
OPENLDAPSYNCHROGROUP=0
OPENLDAPREQGROUP=


# Activation Widget
ACTIVATE_WIDADMINER=0
WIDADMINER_URL=/adminer

ACTIVATE_WIDBALADO=0
WIDBALADO_URL=/balado
WIDBALADO_ACTIVATE_SYNCENVOLE=0
WIDBALADO_SYNCENVOLE="/posh-profil"

ACTIVATE_WIDCDT=0
WIDCDT_URL=/cdt
WIDCDT_ACTIVATE_SYNCENVOLE=0
WIDCDT_SYNCENVOLE="/posh-profil"

ACTIVATE_WIDDOKUWIKI=0
WIDDOKUWIKI_URL=/dokuwiki

ACTIVATE_WIDECONNECT=0
WIDECONNECT_URL=/econnect

ACTIVATE_WIDEAD=0
WIDEAD_URL="https://domaine.fr:4200/connect/?server=1"

ACTIVATE_WIDEOE=0
WIDEOE_URL=/eoleapps/eleves/passperso

ACTIVATE_WIDEOP=0
WIDEOP_URL=/eoleapps/eop

ACTIVATE_WIDETHERHOME=0
WIDETHERHOME_URL=/etherhome

ACTIVATE_WIDFLUXBB=0
WIDFLUXBB_URL=/fluxbb

ACTIVATE_WIDGENCONFIG=0
WIDGENCONFIG_URL=/genconfig

ACTIVATE_WIDGEPI=0
WIDGEPI_URL=/gepi
WIDGEPI_ACTIVATE_SYNCENVOLE=0
WIDGEPI_SYNCENVOLE="/posh-profil"

ACTIVATE_WIDGLPI=0
WIDGLPI_URL=/glpi

ACTIVATE_WIDGRR=0
WIDGRR_URL=/grr

ACTIVATE_WIDKANBOARD=0
WIDKANBOARD_URL=/kanboard

ACTIVATE_WIDLIMESURVEY=0
WIDLIMESURVEY_URL=/limesurvey
WIDLIMESURVEY_APIUSER=restuser
WIDLIMESURVEY_APIKEY=changeme
WIDLIMESURVEY_ACTIVATE_SYNCENVOLE=0
WIDLIMESURVEY_SYNCENVOLE="/posh-profil"

ACTIVATE_WIDMINDMAPS=0
WIDMINDMAPS_URL=/mindmaps

ACTIVATE_WIDMOODLE=0
WIDMOODLE_URL=/moodle
WIDMOODLE_APIKEY=changeme
WIDMOODLE_ACTIVATE_SYNCENVOLE=0
WIDMOODLE_SYNCENVOLE=/posh-profil

ACTIVATE_WIDNEXTCLOUD=0
WIDNEXTCLOUD_URL=/nextcloud
WIDNEXTCLOUD_ACTIVATE_SYNCENVOLE=0
WIDNEXTCLOUD_SYNCENVOLE="/posh-profil"

ACTIVATE_WIDNINEBOARD=0
WIDNINEBOARD_URL=/nineboard

ACTIVATE_WIDNINESCHOOL=0
WIDNINESCHOOL_URL=/nineschool

ACTIVATE_WIDNINESURVEY=0
WIDNINESURVEY_URL=/ninesurvey

ACTIVATE_WIDONLYOFFICE=0
WIDONLYOFFICE_URL=
WIDONLYOFFICE_USER=
WIDONLYOFFICE_PASSWORD=
WIDONLYOFFICE_SYNC=0

ACTIVATE_WIDOPENSONDAGE=0
WIDOPENSONDAGE_URL=/opensondage

ACTIVATE_WIDPHPLDAPADMIN=0
WIDPHPLDAPADMIN_URL=/phpldapadmin

ACTIVATE_WIDPIWIGO=0
WIDPIWIGO_URL=/piwigo

ACTIVATE_WIDPIWIK=0
WIDPIWIK_URL=/piwik
WIDPIWIK_ACTIVATE_SYNCENVOLE=0
WIDPIWIK_SYNCENVOLE="/posh-profi"

ACTIVATE_WIDROUNDCUBE=0
WIDROUNDCUBE_URL=/roundcube

ACTIVATE_WIDSACOCHE=0
WIDSACOCHE_URL=/sacoche
WIDSACOCHE_ACTIVATE_SYNCENVOLE=0
WIDSACOCHE_SYNCENVOLE="/posh-profi"

ACTIVATE_WIDWORDPRESS=0
WIDWORDPRESS_URL=/wordpress
WIDWORDPRESS_ACTIVATE_SYNCENVOLE=0
WIDWORDPRESS_SYNCENVOLE="/posh-profil"

# Sonde
ACTIVATE_WIDSONDE=0
WIDSONDE_URL=/sondepiwik/envoleTrackeur.js.php

# Si mode_auth = CAS
CAS_HOST=domaine.fr
CAS_PATH=/cas
CAS_PORT=443
CAS_TYPE=client

# Si mode_auth = CAS les attributs permettant de matché avec les utilisateurs
USER_ATTR_CAS_USERNAME=username
USER_ATTR_CAS_MAIL=email
USER_ATTR_CAS_LASTNAME=lastname
USER_ATTR_CAS_FIRSTNAME=firstname

SSOSYNCHROGROUP=0
USER_ATTR_CAS_GROUP=

SSOSYNCHROITEM=0
USER_ATTR_CAS_ITEM=

# Mailler
MAILER_DSN=null://null
NOREPLY=noreply@domaine.fr
ACTIVE_IMAPUNREAD=1
IMAPUNDREAD_IP=0.0.0.0

# Websocket
WSS_PORT=5556

###> symfony/lock ###
# Choose one of the stores below
# postgresql+advisory://db_user:db_password@localhost/db_name
LOCK_DSN=flock
###< symfony/lock ###
